The Packed Item object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
parent_item string
item_code string
item_name string
description string
warehouse string
target_warehouse string
qty number
serial_no string
batch_no string
actual_qty number
projected_qty number
uom string
page_break boolean

Default: false

prevdoc_doctype string
parent_detail_docname string
actual_batch_qty number
incoming_rate number
conversion_factor number
rate number
ordered_qty number
picked_qty number
packed_qty number

Default: 0

serial_and_batch_bundle string
use_serial_batch_fields boolean

Default: false

delivered_by_supplier boolean

Default: false

requested_qty number

Default: 0

The Packed Item object
{
  "id": "packed-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "parent_item": "parent_item_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "warehouse": "warehouse_example",
  "target_warehouse": "target_warehouse_example",
  "qty": 0,
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "actual_qty": 0,
  "projected_qty": 0,
  "uom": "uom_example",
  "page_break": false,
  "prevdoc_doctype": "prevdoc_doctype_example",
  "parent_detail_docname": "parent_detail_docname_example",
  "actual_batch_qty": 0,
  "incoming_rate": 0,
  "conversion_factor": 0,
  "rate": 0,
  "ordered_qty": 0,
  "picked_qty": 0,
  "packed_qty": 0,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "use_serial_batch_fields": false,
  "delivered_by_supplier": false,
  "requested_qty": 0
}
GET /api/stock/packed-item?parent_id={id}

List packed items by parent

Returns all packed items belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of packed item objects belonging to the parent.

GET /api/stock/packed-item?parent_id={id}
curl https://api.overplane.dev/api/stock/packed-item?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "packed-item_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "parent_item": "parent_item_example",
      "item_code": "item_code_example",
      "item_name": "item_name_example",
      "description": "description_example",
      "warehouse": "warehouse_example",
      "target_warehouse": "target_warehouse_example",
      "qty": 0,
      "serial_no": "serial_no_example",
      "batch_no": "batch_no_example",
      "actual_qty": 0,
      "projected_qty": 0,
      "uom": "uom_example",
      "page_break": false,
      "prevdoc_doctype": "prevdoc_doctype_example",
      "parent_detail_docname": "parent_detail_docname_example",
      "actual_batch_qty": 0,
      "incoming_rate": 0,
      "conversion_factor": 0,
      "rate": 0,
      "ordered_qty": 0,
      "picked_qty": 0,
      "packed_qty": 0,
      "serial_and_batch_bundle": "serial_and_batch_bundle_example",
      "use_serial_batch_fields": false,
      "delivered_by_supplier": false,
      "requested_qty": 0
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/packed-item

Create a packed item

Creates a new packed item object.

Body parameters

idx integer
parent_id string required
parent_type string required
parent_item string
item_code string
item_name string
description string
warehouse string
target_warehouse string
qty number
serial_no string
batch_no string
actual_qty number
projected_qty number
uom string
page_break boolean

Default: false

prevdoc_doctype string
parent_detail_docname string
actual_batch_qty number
incoming_rate number
conversion_factor number
rate number
ordered_qty number
picked_qty number
packed_qty number

Default: 0

serial_and_batch_bundle string
use_serial_batch_fields boolean

Default: false

delivered_by_supplier boolean

Default: false

requested_qty number

Default: 0

Returns

Returns the newly created packed item object if the call succeeded.

POST /api/stock/packed-item
curl https://api.overplane.dev/api/stock/packed-item \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example"}'
Response
{
  "id": "packed-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "parent_item": "parent_item_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "warehouse": "warehouse_example",
  "target_warehouse": "target_warehouse_example",
  "qty": 0,
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "actual_qty": 0,
  "projected_qty": 0,
  "uom": "uom_example",
  "page_break": false,
  "prevdoc_doctype": "prevdoc_doctype_example",
  "parent_detail_docname": "parent_detail_docname_example",
  "actual_batch_qty": 0,
  "incoming_rate": 0,
  "conversion_factor": 0,
  "rate": 0,
  "ordered_qty": 0,
  "picked_qty": 0,
  "packed_qty": 0,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "use_serial_batch_fields": false,
  "delivered_by_supplier": false,
  "requested_qty": 0
}
PATCH /api/stock/packed-item/{id}

Update a packed item

Updates the specified packed item by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the packed item to update.

Body parameters

idx integer
parent_id string
parent_type string
parent_item string
item_code string
item_name string
description string
warehouse string
target_warehouse string
qty number
serial_no string
batch_no string
actual_qty number
projected_qty number
uom string
page_break boolean

Default: false

prevdoc_doctype string
parent_detail_docname string
actual_batch_qty number
incoming_rate number
conversion_factor number
rate number
ordered_qty number
picked_qty number
packed_qty number

Default: 0

serial_and_batch_bundle string
use_serial_batch_fields boolean

Default: false

delivered_by_supplier boolean

Default: false

requested_qty number

Default: 0

Returns

Returns the updated packed item object.

PATCH /api/stock/packed-item/{id}
curl https://api.overplane.dev/api/stock/packed-item/packed-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "packed-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "parent_item": "parent_item_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "warehouse": "warehouse_example",
  "target_warehouse": "target_warehouse_example",
  "qty": 0,
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "actual_qty": 0,
  "projected_qty": 0,
  "uom": "uom_example",
  "page_break": false,
  "prevdoc_doctype": "prevdoc_doctype_example",
  "parent_detail_docname": "parent_detail_docname_example",
  "actual_batch_qty": 0,
  "incoming_rate": 0,
  "conversion_factor": 0,
  "rate": 0,
  "ordered_qty": 0,
  "picked_qty": 0,
  "packed_qty": 0,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "use_serial_batch_fields": false,
  "delivered_by_supplier": false,
  "requested_qty": 0
}
DELETE /api/stock/packed-item/{id}

Delete a packed item

Permanently deletes a packed item. This cannot be undone.

Path parameters

id string required

The identifier of the packed item to delete.

Returns

Returns a confirmation that the packed item has been deleted.

DELETE /api/stock/packed-item/{id}
curl https://api.overplane.dev/api/stock/packed-item/packed-item_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "packed-item_abc123",
  "deleted": true
}
POST /api/stock/packed-item/reorder

Reorder packed items

Updates the sort order of packed items within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/stock/packed-item/reorder
curl https://api.overplane.dev/api/stock/packed-item/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "packed-item_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "parent_item": "parent_item_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "description": "description_example",
  "warehouse": "warehouse_example",
  "target_warehouse": "target_warehouse_example",
  "qty": 0,
  "serial_no": "serial_no_example",
  "batch_no": "batch_no_example",
  "actual_qty": 0,
  "projected_qty": 0,
  "uom": "uom_example",
  "page_break": false,
  "prevdoc_doctype": "prevdoc_doctype_example",
  "parent_detail_docname": "parent_detail_docname_example",
  "actual_batch_qty": 0,
  "incoming_rate": 0,
  "conversion_factor": 0,
  "rate": 0,
  "ordered_qty": 0,
  "picked_qty": 0,
  "packed_qty": 0,
  "serial_and_batch_bundle": "serial_and_batch_bundle_example",
  "use_serial_batch_fields": false,
  "delivered_by_supplier": false,
  "requested_qty": 0
}